notbugAs an Amazon Associate I earn from qualifying purchases.
Want a good read? Try FreeBSD Mastery: Jails (IT Mastery Book 15)
Want a good monitor light? See my photosAll times are UTC
Ukraine
This referral link gives you 10% off a Fastmail.com account and gives me a discount on my Fastmail account.

Get notified when packages are built

A new feature has been added. FreshPorts already tracks package built by the FreeBSD project. This information is displayed on each port page. You can now get an email when FreshPorts notices a new package is available for something on one of your watch lists. However, you must opt into that. Click on Report Subscriptions on the right, and New Package Notification box, and click on Update.

Finally, under Watch Lists, click on ABI Package Subscriptions to select your ABI (e.g. FreeBSD:14:amd64) & package set (latest/quarterly) combination for a given watch list. This is what FreshPorts will look for.

non port: lang/python24/files/patch-setup.py

Number of commits found: 5

Monday, 30 Jul 2007
09:42 alexbl search for other commits by this committer
 - Make Python 2.5.1 the default Python version
 - Add significantly better support in bsd.python.mk for working with
   Python Eggs and the easy_install system

Tested by:      pointyhat runs
Approved by:    pav (portmgr)
Most work by:   perky
Thanks to:      pav
Original commit
Tuesday, 27 Feb 2007
19:00 rafan search for other commits by this committer
- Force setup.py picks up readline and ncurses from base. This fixes build
  when devel/ncurses installed.
- Similar to python24, don't pick up ncursesw in python25. This results
  in both ncurses are linked into _curses.so

Tested by:      krion
Approved by:    alexbl (python@)
Original commit
Wednesday, 14 Feb 2007
06:07 delphij search for other commits by this committer
Update to Python 2.4.4.

Approved by:    maintainer timeout, alexbl (python@)
Tested by:      pointyhat
PR:             ports/105901
Original commit
Friday, 13 Oct 2006
07:16 perky search for other commits by this committer
Revert the default version of Python to 2.4 for the ports freeze
period.  Python 2.5 brought a vast range of incompatibility to a
large number of ports, so the python@ team will do more basic
compatibility work in a private repository and merge it later.
Sorry for the inconvenience.

Approved by:    portmgr (kris)
Original commit
Monday, 9 Oct 2006
14:29 perky search for other commits by this committer
- Update the main python version to 2.5.
  - Now, lang/python is just a meta-port which depends on lang/python25.
  - And all versions of Python ports have short version identifier in its
    package name; python25-2.5, python24-2.4.3 and etc.
  - Also you must upgrade all python modules after lang/python updated,
     cd /usr/ports/lang/python && make upgrade-site-packages

- Give maintainership of Python ports to the new python@ group which
  includes me, alexbl@ and others.
Original commit

Number of commits found: 5